Bug 196539 - kernel fails to boot beyond init
kernel fails to boot beyond init
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-24 04:18 EDT by Jan Christiaan van Winkel
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 07:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vgdisplay -v output (4.76 KB, text/plain)
2006-06-24 04:18 EDT, Jan Christiaan van Winkel
no flags Details

  None (edit)
Description Jan Christiaan van Winkel 2006-06-24 04:18:13 EDT
Description of problem:
Having yum-updated to kernet version kernel-2.6.17-1.2139_FC5, the kernel failed
to boot beyond the initial init.  Probably in de dm-code, the message
init[1] trap divide error rip: 3296d7 rsp: 7fffb1d5f120 error: 0
scrolls over the screen rapidly.  This is *before* the ordinary init has
started, and I can see a glimpse of dm messages.  Therefore, I think it has
something to do with my LVM volumes.  I have attached vgdisplay -v output


Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2139_FC5


How reproducible:
Every timej


Steps to Reproduce:
1. reboot into kernel 2.6.17-1.2139_FC5

  
Actual results:
init[1] trap divide error rip: 3296d7 rsp: 7fffb1d5f120 error: 0
scrolling by messages on screen. system does not proceed to boot normally

Expected results:
normal boot

Additional info:
I do not use md (RAID stuff) but do have a couple of LVM VGs and LVs.
Comment 1 Jan Christiaan van Winkel 2006-06-24 04:18:13 EDT
Created attachment 131480 [details]
vgdisplay -v output
Comment 2 Jan Christiaan van Winkel 2006-07-10 11:50:48 EDT
The same problem occurs in kernel-2.6.17-1.2145_FC5
Comment 3 Peter Jones 2006-08-31 00:10:50 EDT
This error message looks like a dupe of #189708 , but your setup shouldn't ever
be hitting the code that's a problem there.  You're not using dmraid at all, right?
Comment 4 Peter Jones 2006-08-31 00:17:37 EDT
Also, does mkinitrd-5.0.32-2 solve this problem for you?
Comment 5 Jan Christiaan van Winkel 2006-08-31 10:38:36 EDT
I am not using any dmraid stuff.  But good news: mkinitrd-5.0.32-2 does solve
the problem for me.  Thanks guys!
Comment 6 Dave Jones 2006-10-16 16:38:19 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Jan Christiaan van Winkel 2006-10-17 07:37:09 EDT
mkinitrd-5.0.32-2 already solved the problem.  Closed as far as I'm concerned. 
Thank you

Note You need to log in before you can comment on or make changes to this bug.